libsigc++: sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference

libsigc++ 2.6.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Attributes | List of all members
sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 > Class Template Reference
Functors » mem_fun()

volatile_mem_functor4 wraps volatile methods with 4 argument(s). More...

`#include <sigc++/functors/mem_fun.h>`

Inheritance diagram for sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >:
[legend]

## Public Types
typedef T_return(T_obj::* | function_type) (T_arg1, T_arg2, T_arg3, T_arg4) volatile
typedef T_return | result_type

## Public Member Functions
| volatile_mem_functor4 ()
| Constructs an invalid functor. More...
| volatile_mem_functor4 (function_type _A_func)
| Constructs a volatile_mem_functor4 object that wraps the passed method. More...
T_return | operator() (T_obj* _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the passed instance. More...
T_return | operator() (T_obj& _A_obj, type_trait_take_t< T_arg1 > _A_a1, type_trait_take_t< T_arg2 > _A_a2, type_trait_take_t< T_arg3 > _A_a3, type_trait_take_t< T_arg4 > _A_a4) const
| Execute the wrapped method operating on the passed instance. More...

## Protected Attributes
function_type | func_ptr_

## Detailed Description

### template<class T_return, class T_obj, class T_arg1, class T_arg2, class T_arg3, class T_arg4>
class sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >

volatile_mem_functor4 wraps volatile methods with 4 argument(s).

Use the convenience function mem_fun() to create an instance of volatile_mem_functor4.

The following template arguments are used:

- T_arg1 Argument type used in the definition of operator()().
- T_arg2 Argument type used in the definition of operator()().
- T_arg3 Argument type used in the definition of operator()().
- T_arg4 Argument type used in the definition of operator()().
- T_return The return type of operator()().
- T_obj The object type.

## Member Typedef Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

typedef T_return(T_obj::* sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::function_type) (T_arg1, T_arg2, T_arg3, T_arg4) volatile

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

typedef T_return sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::result_type

## Constructor & Destructor Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::volatile_mem_functor4 | ( |  | ) |
| inline

Constructs an invalid functor.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::volatile_mem_functor4 | ( | function_type | _A_func | ) |
| inlineexplicit

Constructs a volatile_mem_functor4 object that wraps the passed method.

Parameters

  _A_func | Pointer to method will be invoked from operator()().

## Member Function Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::operator() | ( | T_obj * | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Pointer to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

T_return sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::operator() | ( | T_obj & | _A_obj,
|  | type_trait_take_t< T_arg1 > | _A_a1,
|  | type_trait_take_t< T_arg2 > | _A_a2,
|  | type_trait_take_t< T_arg3 > | _A_a3,
|  | type_trait_take_t< T_arg4 > | _A_a4
| ) |  | const
| inline

Execute the wrapped method operating on the passed instance.

Parameters

  _A_obj | Reference to instance the method should operate on.
  _A_a1 | Argument to be passed on to the method.
  _A_a2 | Argument to be passed on to the method.
  _A_a3 | Argument to be passed on to the method.
  _A_a4 | Argument to be passed on to the method.

Returns
  The return value of the method invocation.

## Member Data Documentation

template <class T_return , class T_obj , class T_arg1 , class T_arg2 , class T_arg3 , class T_arg4 >

function_type sigc::volatile_mem_functor4< T_return, T_obj, T_arg1, T_arg2, T_arg3, T_arg4 >::func_ptr_
| protected